Bug 174020 - [EME] Solve a couple of compiler warnings
Summary: [EME] Solve a couple of compiler warnings
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Xabier Rodríguez Calvar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-30 02:10 PDT by Xabier Rodríguez Calvar
Modified: 2017-07-04 04:12 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.39 KB, patch)
2017-06-30 02:13 PDT, Xabier Rodríguez Calvar
no flags Details | Formatted Diff | Diff
Patch for landing (2.38 KB, patch)
2017-07-03 04:48 PDT, Xabier Rodríguez Calvar
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xabier Rodríguez Calvar 2017-06-30 02:10:12 PDT
[EME] Solve a couple of compiler warnings
Comment 1 Xabier Rodríguez Calvar 2017-06-30 02:13:03 PDT
Created attachment 314253 [details]
Patch
Comment 2 Michael Catanzaro 2017-07-02 09:23:09 PDT
Comment on attachment 314253 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=314253&action=review

> Source/WebCore/Modules/encryptedmedia/MediaKeySession.cpp:636
>              break;

Remove this unreachable break
Comment 3 Xabier Rodríguez Calvar 2017-07-03 04:48:42 PDT
Created attachment 314473 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2017-07-03 05:36:03 PDT
The commit-queue encountered the following flaky tests while processing attachment 314473 [details]:

workers/bomb.html bug 171985 (author: fpizlo@apple.com)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2017-07-03 05:36:04 PDT
The commit-queue encountered the following flaky tests while processing attachment 314473 [details]:

The commit-queue is continuing to process your patch.
Comment 6 Xabier Rodríguez Calvar 2017-07-03 07:33:49 PDT
(In reply to WebKit Commit Bot from comment #5)
> The commit-queue is continuing to process your patch.

The errors seems unrelated, I'll try to land tomorrow.
Comment 7 WebKit Commit Bot 2017-07-04 04:12:30 PDT
Comment on attachment 314473 [details]
Patch for landing

Clearing flags on attachment: 314473

Committed r219116: <http://trac.webkit.org/changeset/219116>
Comment 8 WebKit Commit Bot 2017-07-04 04:12:31 PDT
All reviewed patches have been landed.  Closing bug.